projects
/
openwrt.git
/ blobdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
|
commitdiff
|
tree
raw
|
inline
| side by side
fix networking
[openwrt.git]
/
openwrt
/
package
/
base-files
/
default
/
sbin
/
ifup
diff --git
a/openwrt/package/base-files/default/sbin/ifup
b/openwrt/package/base-files/default/sbin/ifup
index
be7075b
..
67e01a3
100755
(executable)
--- a/
openwrt/package/base-files/default/sbin/ifup
+++ b/
openwrt/package/base-files/default/sbin/ifup
@@
-1,36
+1,34
@@
-#!/bin/
a
sh
+#!/bin/sh
[ $# = 0 ] && { echo " $0 <group>"; exit; }
[ $# = 0 ] && { echo " $0 <group>"; exit; }
-
. /etc/functions.sh
. /etc/network.overrides
[ "$FAILSAFE" != "true" -a -e /etc/config/network ] && . /etc/config/network
. /etc/functions.sh
. /etc/network.overrides
[ "$FAILSAFE" != "true" -a -e /etc/config/network ] && . /etc/config/network
-type=$1
+ifdown $1
+
debug "### ifup $type ###"
debug "### ifup $type ###"
+type=$1
if_proto=$(nvram get ${type}_proto)
if=$(nvram get ${type}_ifname)
if_proto=$(nvram get ${type}_proto)
if=$(nvram get ${type}_ifname)
-[ "${if%%[0-9]}" = "ppp" ] && if=$(nvram get ${if_proto}_ifname)
-if_valid $if || [ "$if_proto" = "pptp" ] || exit
-mac=$(nvram get ${type}_hwaddr)
-$DEBUG ifconfig $if down 2>&-
+case "$if_proto" in
+ pppoa) hotplug_dev register atm0; exit 0 ;;
+ pppoe)
+ ifconfig nas0 2>&- >&- || {
+ hotplug_dev register atm0
+ exit 0
+ }
+ ;;
+ none|"") exit 0;;
+esac
-if [ "${if%%[0-9]}" = "br" ]; then
- stp=$(nvram get ${type}_stp)
- $DEBUG brctl delbr $if 2>&-
- $DEBUG brctl addbr $if
- $DEBUG brctl setfd $if 0
- $DEBUG brctl stp $if ${stp:-0}
+[ "${if%%[0-9]*}" = "ppp" ] && if="$(nvram get ${if_proto}_ifname)"
+if [ "${if%%[0-9]}" = "br" ]; then
for sif in $(nvram get ${type}_ifnames); do
for sif in $(nvram get ${type}_ifnames); do
- if_valid $sif || continue
- ${mac:+$DEBUG ifconfig $sif down hw ether $mac}
- $DEBUG ifconfig $sif 0.0.0.0 up
- $DEBUG brctl addif $if $sif
+ hotplug_dev register "$sif"
done
else
done
else
- ${mac:+$DEBUG ifconfig $if down hw ether $mac}
+ hotplug_dev register "$if"
fi
fi
-
-do_ifup $if_proto $type
This page took
0.024761 seconds
and
4
git commands to generate.